## pixman 0.14.0-9+0m5

=== debian/changelog ===
pixman (0.14.0-9+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Thu, 23 Jul 2009 17:15:33 +0300

pixman (0.14.0-9) unstable; urgency=low

  * Applied the set of Pixman optimizations from Siarhei.
    Fixes: NB#125955 - fbCompositeSrc_8888x0565 and pixman_fill are not optimized with NEON

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 22 Jul 2009 17:21:29 +0300

pixman (0.14.0-8) unstable; urgency=low

  * Fastpath for nearest neighbour scaled compositing operations.
    Fixes: NB#103771 - Some pixman functions are not optimized even with c_fast_path.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Tue, 14 Jul 2009 05:27:13 +0300

pixman (0.14.0-7) unstable; urgency=low

  * NOKIA: microb: Added the fbCompositeSrcScaleNearestPad() function.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Wed, 08 Jul 2009 00:45:01 +0300

pixman (0.14.0-6) unstable; urgency=low

  * NOKIA: Added a getenv() call on PIXMAN_DEBUG to avoid console spam.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 08 Jun 2009 18:42:48 +0300

pixman (0.14.0-5) unstable; urgency=low

  * NOKIA: Added Pixman slow-path detection code for helping app developers.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 04 Jun 2009 10:10:09 +0300

pixman (0.14.0-4) unstable; urgency=low

  * NOKIA: fbCompositeSrc_0565x0565
    Fixes: NB#115074 - Optimized fbCompositeSrc_0565x0565neon required for pixman

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 14 May 2009 02:37:48 +0300

pixman (0.14.0-3) unstable; urgency=low

  * NOKIA: [cairo] New ARMv7-A (NEON) optimisations for Pixman

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 14 May 2009 02:08:09 +0300

pixman (0.14.0-2) unstable; urgency=low

  * NOKIA: pixman_0.14.0-1.diff

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 14 May 2009 02:04:24 +0300

pixman (0.14.0-1) unstable; urgency=low

  [ Brice Goglin ]
  * Update upstream URL in debian/copyright.
  * Install the upstream ChangeLog.

  [ Julien Cristau ]
  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Sun, 15 Feb 2009 23:01:14 +0100

pixman (0.13.2-1) experimental; urgency=low

  [ Timo Aaltonen ]
  * New upstream release.
  * Update libpixman-1-0.symbols with new symbols.

  [ Julien Cristau ]
  * Don't use ARM SIMD code.  It doesn't do runtime detection, and will only
    work on ARMv6.
  * Fix shlibs for the udeb.

 -- Julien Cristau <jcristau@debian.org>  Sun, 04 Jan 2009 21:39:31 +0100

pixman (0.12.0-1) experimental; urgency=low

  * New upstream release.
  * Bump pixman_format_supported_source's version in the symbols file, depth
    30 formats were added in 0.11.10.
  * Bump shlibs to 0.11.10 as well.

 -- Julien Cristau <jcristau@debian.org>  Sun, 21 Sep 2008 17:01:01 +0200

pixman (0.11.8-1) experimental; urgency=low

  * New upstream development release.
  * Bump versions for pixman_image_create_bits and
    pixman_format_supported_destination, as some formats were added in 0.11.6.

 -- Julien Cristau <jcristau@debian.org>  Fri, 18 Jul 2008 15:21:17 +0200

pixman (0.11.6-1) experimental; urgency=low

  * New upstream development release.
  * Bump shlibs and update symbols files.

 -- Julien Cristau <jcristau@debian.org>  Tue, 15 Jul 2008 21:36:11 +0200

pixman (0.10.0-2) unstable; urgency=low

  [ Frans Pop ]
  * Add libpixman-1-0-udeb (needed for cairo).  Closes: #476480.

 -- Julien Cristau <jcristau@debian.org>  Thu, 17 Apr 2008 14:08:20 +0200

pixman (0.10.0-1) unstable; urgency=low

  * New upstream release.
  * Bump shlibs to 0.10.0.
  * Run autoreconf at build-time.
    Build-depend on automake, autoconf, libtool and pkg-config.  Drop patch
    for maintainer mode, and drop build-dep on quilt and corresponding code in
    debian/rules.  Add new rules autogen and config, where we run autoreconf
    and configure, respectively.  Update clean rule to remove files generated
    by autogen.
  * Add symbols file for libpixman-1-0.
  * Bump Standards-Version to 3.7.3.
  * Add Vcs-Git and Vcs-Browser control fields.

 -- Julien Cristau <jcristau@debian.org>  Fri, 04 Apr 2008 14:31:30 +0200

pixman (0.9.6-1) unstable; urgency=low

  * New upstream release (closes: #452734).
    + 02_no-sse.diff: remove, fix included upstream;
    + 03_fbFetchTransformed_64bit_fix.diff: remove, 64bit issues should be
      fixed too.

 -- Julien Cristau <jcristau@debian.org>  Sun, 25 Nov 2007 00:41:31 +0100

pixman (0.9.5-3) unstable; urgency=low

  * Add patch by Francis Whittle from upstream bug#12398
    (https://bugs.freedesktop.org/attachment.cgi?id=11896) to fix arithmetic
    bug in fbFetchTransformed (causing X crashes on 64bit); closes: #444457.

 -- Julien Cristau <jcristau@debian.org>  Tue, 16 Oct 2007 09:52:16 +0200

pixman (0.9.5-2) unstable; urgency=high

  * High urgency for RC bugfix.
  * Don't use -msse, to prevent gcc 4.2 from generating SSE instructions for
    its builtin functions, the X server from going SIGILL on CPUs supporting
    MMX but not SSE, and us from losing (closes: #442829).
  * Enable maintainer mode in configure.ac.

 -- Julien Cristau <jcristau@debian.org>  Wed, 19 Sep 2007 23:21:46 +0200

pixman (0.9.5-1) unstable; urgency=low

  * New upstream release (no actual changes since 0.9.4-2, just new upstream
    tarball).
  * Add watch file.
  * Upload to unstable for X.Org 7.3.

 -- Julien Cristau <jcristau@debian.org>  Wed, 05 Sep 2007 21:43:58 +0200

pixman (0.9.4-2) experimental; urgency=low

  * Update from git master branch (commit 8ff7213f).
  * Bump shlibs.

 -- Julien Cristau <jcristau@debian.org>  Mon, 03 Sep 2007 17:11:24 +0200

pixman (0.9.4-1) experimental; urgency=low

  * New upstream version
  * Update packaging for the name change. It's now pixman-1, so we use
    libpixman-1-0 for the package names
  * Add myself to uploaders
  * Pull upstream fix for the .pc file for the library name change


