=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = libpixman-1-0
SHLIBS_VERSION = 0.13.2

CFLAGS = -Wall -g
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build=$(DEB_HOST_GNU_TYPE)
else
	confflags += --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE)
endif

autogen: autogen-stamp
autogen-stamp:
	dh_testdir
	autoreconf -vfi
	touch $@

config: config-stamp
config-stamp: autogen-stamp
	dh_testdir
	test -d obj-$(DEB_BUILD_GNU_TYPE) || mkdir obj-$(DEB_BUILD_GNU_TYPE)
	cd obj-$(DEB_BUILD_GNU_TYPE) && \
	../configure \
	  --prefix=/usr \
	  --mandir=\$${prefix}/share/man \
	  --infodir=\$${prefix}/share/info \
	  --disable-arm-simd \
	  $(confflags) \
	  CFLAGS="$(CFLAGS)"
	touch $@


build: build-stamp
build-stamp: config-stamp
	dh_testdir
	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)
	
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f autogen-stamp config-stamp build-stamp install-stamp
	
	rm -f config.cache config.log config.status
	rm -f */config.cache */config.log */config.status
	rm -f conftest* */conftest*
	rm -rf autom4te.cache */autom4te.cache
	rm -rf obj-*
	rm -f $$(find -name Makefile.in)
	rm -f compile config.guess config.sub configure depcomp install-sh
	rm -f ltmain.sh missing INSTALL aclocal.m4 config.h.in
	
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	touch $@

# Install architecture-dependent files here.
binary-arch: install
	dh_testdir
	dh_testroot

	dh_installdocs
	dh_install --sourcedir=debian/tmp --list-missing
	dh_installchangelogs ChangeLog
	dh_link
	dh_strip --dbg-package=$(PACKAGE)-dbg
	dh_compress
	dh_fixperms
	dh_makeshlibs -p$(PACKAGE) --add-udeb $(PACKAGE)-udeb -V"$(PACKAGE) (>= $(SHLIBS_VERSION))"
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: install
# Nothing to do

binary: binary-indep binary-arch
.PHONY: autogen config build clean binary-indep binary-arch binary install
