## pixman 0.16.2-4+0m5

=== debian/changelog ===
pixman (0.16.2-4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika yrjola <ext-mika.2.yrjola@nokia.com>  Fri, 15 Jan 2010 17:10:58 +0200

pixman (0.16.2-4) unstable; urgency=low

  * Removed Quilt patching support; seems to break under BIFH.

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 11 Jan 2010 15:25:48 +0200

pixman (0.16.2-3) unstable; urgency=low

  * Fixes: NB#145712 - fbCombineOverU not optimized for NEON
  * Fixes: NB#145713 - Operations with PIXMAN_FILTER_GOOD are not optimized for NEON
  * Fixes: NB#145759 - pixman using slow method when rendering zoomed out page
  * Fixes: NB#149838 - PIXMAN_OP_OVER, PIXMAN_solid, PIXMAN_null, PIXMAN_r5g6b5, - is missing for neon

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Mon, 11 Jan 2010 11:04:36 +0200

pixman (0.16.2-2) unstable; urgency=low

  * Merge branch 'fetch-r5g6b5-arm-neon' of git://anongit.freedesktop.org/~siamashka/pixman into nokia

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 31 Dec 2009 16:42:07 +0200

pixman (0.16.2-1.1) unstable; urgency=low

  * Merge branch 'fast-scaling' of git://anongit.freedesktop.org/~siamashka/pixman into nokia

 -- Oliver McFadden <oliver.mcfadden@nokia.com>  Thu, 31 Dec 2009 11:24:36 +0200

pixman (0.16.2-1) unstable; urgency=low

  * New upstream release (closes: #546849).
  * Upload to unstable.

 -- Julien Cristau <jcristau@debian.org>  Mon, 28 Sep 2009 18:12:47 +0200

pixman (0.15.20-1) experimental; urgency=low

  * New upstream release candidate.
  * Bump shlibs and update symbols file for
    pixman_disable_out_of_bounds_workaround and new formats.
  * Add patch to disable use of env vars to force hwcap and platform on arm.
  * Add README.source with a pointer to the quilt package.

 -- Julien Cristau <jcristau@debian.org>  Sun, 23 Aug 2009 12:44:59 +0200

pixman (0.15.14-1) experimental; urgency=low

  * Update debian/copyright from upstream COPYING (closes: #519078).  Thanks,
    Jo Shields!
  * New upstream development release.
  * Enable arm simd, we can do runtime detection now.
  * Update symbols file and bump shlibs for new version.
  * Run dh_shlibdeps after dh_installdeb to avoid a dpkg-shlibdeps warning.
  * Move libpixman-1-0-dbg to new 'debug' section.
  * Add ~ to pixman_image_set_source_clipping version in symbols file, to make
    lintian happy.
  * Don't handle nostrip explicitly in debian/rules, dh_strip does that for
    us.
  * Use filter instead of findstring for DEB_BUILD_OPTIONS parsing, as
    standardized by policy 3.8.0.
  * Handle parallel=n in DEB_BUILD_OPTIONS.
  * Bump Standards-Version to 3.8.2.
  * Version the build-dep on debhelper to silence lintian.

 -- Julien Cristau <jcristau@debian.org>  Wed, 24 Jun 2009 21:13:07 +0200
