=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: pixman
 Section: devel
 Priority: optional
-Maintainer: Oliver McFadden <oliver.mcfadden@nokia.com>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Julien Cristau <jcristau@debian.org>, David Nusinow <dnusinow@debian.org>
-Build-Depends: debhelper, automake, autoconf, libtool, pkg-config
-Standards-Version: 3.7.3
+Build-Depends: debhelper (>= 5), automake, autoconf, libtool, pkg-config
+Standards-Version: 3.8.2
 Vcs-Git: git://git.debian.org/git/pkg-xorg/lib/pixman
 Vcs-Browser: http://git.debian.org/?p=pkg-xorg/lib/pixman.git
 
@@ -28,7 +28,7 @@
  installer.  Do not install it on a normal system.
 
 Package: libpixman-1-0-dbg
-Section: libdevel
+Section: debug
 Priority: extra
 Architecture: any
 Depends: libpixman-1-0 (= ${binary:Version})
