=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,17 @@
 #!/usr/bin/make -f
 
 PACKAGE = libpixman-1-0
-SHLIBS_VERSION = 0.13.2
+SHLIBS_VERSION = 0.15.16
 
 CFLAGS = -Wall -g
-ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
 	CFLAGS += -O0
 else
 	CFLAGS += -O2
 endif
-ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
-	INSTALL_PROGRAM += -s
+ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
+	MAKEFLAGS += -j$(NUMJOBS)
 endif
 
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -37,7 +38,6 @@
 	  --prefix=/usr \
 	  --mandir=\$${prefix}/share/man \
 	  --infodir=\$${prefix}/share/info \
-	  --disable-arm-simd \
 	  $(confflags) \
 	  CFLAGS="$(CFLAGS)"
 	touch $@
@@ -83,14 +83,14 @@
 
 	dh_installdocs
 	dh_install --sourcedir=debian/tmp --list-missing
-	dh_installchangelogs ChangeLog
+	#dh_installchangelogs ChangeLog
 	dh_link
 	dh_strip --dbg-package=$(PACKAGE)-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs -p$(PACKAGE) --add-udeb $(PACKAGE)-udeb -V"$(PACKAGE) (>= $(SHLIBS_VERSION))"
+	dh_installdeb
 	dh_shlibdeps
-	dh_installdeb
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb
