## pixman 0.16.2-5+0m5

=== debian/changelog ===
pixman (0.16.2-5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 0.16.2-5+0m5

 -- Lyubimkin Eugene <ext-lyubimkin.eugene@nokia.com>  Thu, 11 Mar 2010 10:08:28 +0200

pixman (0.16.2-5) unstable; urgency=low

  * Fixes: NB#153508 - pixman recompilation required

 -- Rami Ylimaki <ext-rami.ylimaki@nokia.com>  Tue,  9 Mar 2010 14:52:52 +0200
