## pixman 0.29.2-2+0m5+0cssu0

=== debian/changelog ===
pixman (0.29.2-2+0m5+0cssu0) unstable; urgency=low

  * Disable ARM SIMD

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed, 21 Mar 2013 07:09:33 +0200

pixman (0.29.2-1+0m5+0cssu0) unstable; urgency=low

  * New upstream release
  * Revert "use float for linear gradient"

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Wed, 20 Mar 2013 20:37:12 +0200

pixman (0.28.2+0m5+0cssu1) unstable; urgency=low

  * Workaround a bug in 1.6 X server
  * Fix parallel compilation flags
  * Add CPU optimization flags and thumb mode support

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Sun, 17 Mar 2013 15:35:43 +0200

pixman (0.28.2+0m5+0cssu0) unstable; urgency=low

  * New upstream release
  * Unexport symbols not part of the ABI
  * Do not link with system pixman

 -- Ivaylo Dimitrov <freemangordon@abv.bg>  Mon, 11 Mar 2013 10:38:11 +0200
