=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,9 @@
 #!/usr/bin/make -f
 
+include /usr/share/quilt/quilt.make
+
 PACKAGE = libpixman-1-0
-SHLIBS_VERSION = 0.15.16
+SHLIBS_VERSION = 0.25.2
 
 CFLAGS = -Wall -g
 ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
@@ -9,9 +11,26 @@
 else
 	CFLAGS += -O2
 endif
-ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
-	MAKEFLAGS += -j$(NUMJOBS)
+
+ifneq (,$(findstring parallel,$(DEB_BUILD_OPTIONS)))
+    PARALLEL_JOBS := $(shell echo $(DEB_BUILD_OPTIONS) | \
+        sed -e 's/.*parallel=\([0-9]\+\).*/\1/')
+    ifeq ($(DEB_BUILD_OPTIONS),$(PARALLEL_JOBS))
+        PARALLEL_JOBS := $(shell if [ -f /proc/cpuinfo ]; \
+            then echo `cat /proc/cpuinfo | grep 'processor' | wc -l`; \
+            else echo 1; fi)
+    endif
+    NJOBS := -j$(PARALLEL_JOBS)
+endif
+
+# Use neon and soft-float mode on arm.
+ifeq ($(DEB_BUILD_ARCH), armel)
+	CFLAGS += -mfpu=neon -mfloat-abi=softfp -mtune=cortex-a8 -mcpu=cortex-a8
+
+# Use thumb mode if it enabled.
+ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
+	CFLAGS += -mthumb
+endif
 endif
 
 DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
@@ -26,7 +45,7 @@
 autogen: autogen-stamp
 autogen-stamp:
 	dh_testdir
-	autoreconf -vfi
+	autoreconf -v -i -f
 	touch $@
 
 config: config-stamp
@@ -35,6 +54,7 @@
 	test -d obj-$(DEB_BUILD_GNU_TYPE) || mkdir obj-$(DEB_BUILD_GNU_TYPE)
 	cd obj-$(DEB_BUILD_GNU_TYPE) && \
 	../configure \
+	  --disable-arm-simd \
 	  --prefix=/usr \
 	  --mandir=\$${prefix}/share/man \
 	  --infodir=\$${prefix}/share/info \
@@ -44,13 +64,13 @@
 
 
 build: build-stamp
-build-stamp: config-stamp
+build-stamp: $(QUILT_STAMPFN) config-stamp
 	dh_testdir
-	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE)
+	cd obj-$(DEB_BUILD_GNU_TYPE) && $(MAKE) $(NJOBS)
 	
 	touch $@
 
-clean:
+clean: unpatch
 	dh_testdir
 	dh_testroot
 	rm -f autogen-stamp config-stamp build-stamp install-stamp
