## pixman 0.44.0

=== debian/changelog ===
pixman (0.44.0-3+rpt1) bookworm; urgency=medium

  * Move to 0.44 pixman release
  * Rebase rpi patches from 0.42 to 0.44
  * Fix some bugs in patches, update to ARM unified asm syntax

 -- David Turner <david.turner@raspberrypi.com>  Mon, 03 Mar 2025 12:06:02 +0000

pixman (0.44.0-3) unstable; urgency=medium

  * Replace timeout bump patch by using a multiplier option instead.
    Thanks, Aurelien Jarno! (Closes: #1086999)

 -- Timo Aaltonen <tjaalton@debian.org>  Sat, 09 Nov 2024 11:02:55 +0200

pixman (0.44.0-2) unstable; urgency=medium

  * patches: Increase test timeout 120->240s. (Closes: #1086999)

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 08 Nov 2024 09:58:04 +0200

pixman (0.44.0-1) unstable; urgency=medium

  * New upstream release.
  * patches: Refresh patch.
  * control, rules: Build with meson.
  * symbols: Updated.
  * control: Migrate to pkgconf.
  * rules: Drop obsolete dbgsym-migration.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 07 Nov 2024 16:48:29 +0200

pixman (0.42.2-1+rpt3) bookworm; urgency=medium

  * Also remove patch for causing segfaults when NEON is enabled:
    0002-armv7-mips-sse2-Make-bilinear-cover-fast-paths-use-C.patch

 -- David Turner <david.turner@raspberrypi.com>  Thu, 21 Nov 2024 11:36:32 +0000

pixman (0.42.2-1+rpt2) bookworm; urgency=medium

  * Remove patch suspected of causing segfaults with labwc/wlroots display
    rotation: 0003-pixman-fast-path-Make-bilinear-cover-fetcher-use-COV.patch

 -- David Turner <david.turner@raspberrypi.com>  Thu, 14 Nov 2024 10:46:47 +0000

pixman (0.42.2-1+rpt1) bookworm; urgency=medium

  * Merge optimisations from Ben Avison

 -- Simon Long <simon@raspberrypi.com>  Mon, 20 Feb 2023 07:23:57 +0000

pixman (0.42.2-1) unstable; urgency=medium

  * New upstream release.
  * d/p/Avoid-integer-overflow-leading-to-out-of-bounds-writ.diff:
    - Removed, fixed upstream.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Fri, 11 Nov 2022 13:42:25 +0100

pixman (0.40.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid integer overflow leading to out-of-bounds write (CVE-2022-44638)
    (Closes: #1023427)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 03 Nov 2022 23:07:46 +0100

pixman (0.40.0-1) unstable; urgency=medium

  * New upstream release. (Closes: #958298, #832579, #838650)
  * control, rules: Migrate to debhelper-compat, bump to 13.
  * symbols: Updated, bump shlibs.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 03 Dec 2020 15:28:13 +0200

pixman (0.36.0-1) unstable; urgency=medium

  * New upstream release.
  * Update to my Debian address.
  * Update Vcs-* URLs to point to salsa.debian.org.
  * Use https URL in debian/copyright.
  * Set source format to 1.0.
  * Bump debhelper compat to 11.
  * Bump standards version to 4.2.1.

 -- Andreas Boll <aboll@debian.org>  Wed, 12 Dec 2018 22:02:44 +0100

pixman (0.34.0-2) unstable; urgency=medium

  * Declare Multi-Arch: same for libpixman-1-dev (Closes: #884166).
  * Switch to dbsym package.
  * Stop passing --disable-silent-rules to configure, debhelper does it
    now.
  * Bump standards version to 4.1.2.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Sun, 17 Dec 2017 13:33:55 +0100

pixman (0.34.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (no actual changes)
  * Use https URL in debian/watch.

 -- Julien Cristau <jcristau@debian.org>  Sat, 24 Sep 2016 13:25:16 +0200

pixman (0.33.6-1) unstable; urgency=medium

  * New upstream release candidate.
  * Add myself to Uploaders.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Thu, 14 Jan 2016 13:46:28 +0100

pixman (0.33.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release candidate.

 -- Andreas Boll <andreas.boll.dev@gmail.com>  Wed, 04 Nov 2015 13:26:18 +0100

pixman (0.33.2-2) sid; urgency=medium

  * Run tests with VERBOSE=1.

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Sep 2015 20:31:06 +0200

pixman (0.33.2-1) sid; urgency=medium

  [ Andreas Boll ]
  * New upstream release candidate.
  * Enable vmx on ppc64el (closes: #786345).
  * Update Vcs-* fields.
  * Add upstream url.
  * Drop XC- prefix from Package-Type field.
  * Bump standards version to 3.9.6.

  [ intrigeri ]
  * Simplify hardening build flags handling (closes: #760100).
    Thanks to Simon Ruderich <simon@ruderich.org> for the patch.
  * Enable all hardening build flags. Thanks to Simon Ruderich too.

 -- Julien Cristau <jcristau@debian.org>  Sat, 12 Sep 2015 13:08:02 +0200

pixman (0.32.6-3) sid; urgency=medium

  [ intrigeri ]
  * Enable hardening build flags with dpkg-buildflags.

 -- Julien Cristau <jcristau@debian.org>  Sat, 23 Aug 2014 22:16:40 -0700

pixman (0.32.6-2) sid; urgency=medium

  [ Julien Cristau ]
  * Disable vmx on ppc64el (closes: #745547).  Thanks, Breno Leitao!

 -- Cyril Brulebois <kibi@debian.org>  Mon, 18 Aug 2014 22:50:39 +0200

pixman (0.32.6-1) sid; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 9.
  * Remove Cyril from Uploaders.

 -- Julien Cristau <jcristau@debian.org>  Sun, 13 Jul 2014 16:31:06 +0200

pixman (0.32.4-1) sid; urgency=low

  * New upstream release.

 -- Julien Cristau <jcristau@debian.org>  Tue, 17 Dec 2013 22:04:15 +0100

pixman (0.30.2-2) sid; urgency=low

  * Cherry-pick upstream bigfixes for fixing a crash when rendering
    invalid trapezoids. (LP: #1197921)
    Addresses CVE-2013-6425.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Mon, 18 Nov 2013 15:08:56 +0100

pixman (0.30.2-1) sid; urgency=low

  * New upstream release
    - includes big-endian matrix-test fix
  * Increase alpha-loop test timeout some more.

 -- Julien Cristau <jcristau@debian.org>  Tue, 13 Aug 2013 12:08:18 +0200

pixman (0.30.0-3) sid; urgency=low

  * Increase timeout for the alpha-loop test.  That will hopefully let it pass
    on the mips buildd.

 -- Julien Cristau <jcristau@debian.org>  Sat, 03 Aug 2013 10:24:29 +0200

pixman (0.30.0-2) sid; urgency=low

  * Disable silent Makefile rules.

