=== debian/control ===
Source: pixman
Section: devel
Priority: optional
Maintainer: David Turner <david.turner@raspberrypi.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
XSBC-Original-Uploaders: Andreas Boll <aboll@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 meson,
 pkgconf,
 quilt,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/xorg-team/lib/pixman.git
Vcs-Browser: https://salsa.debian.org/xorg-team/lib/pixman
Homepage: http://pixman.org/

Package: libpixman-1-0
Section: libs
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: pixel-manipulation library for X and cairo
 A library for manipulating pixel regions -- a set of Y-X banded
 rectangles, image compositing using the Porter/Duff model
 and implicit mask generation for geometric primitives including
 trapezoids, triangles, and rectangles.

Package: libpixman-1-dev
Section: libdevel
Architecture: any
Depends:
 libpixman-1-0 (= ${binary:Version}),
 ${misc:Depends},
Multi-Arch: same
Description: pixel-manipulation library for X and cairo (development files)
 Development libraries, header files and documentation needed by
 programs that want to compile with the Cairo/X pixman library.
