=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = libpixman-1-0
SHLIBS  = 0.40.0

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# Disable Gtk+ autodetection:
override_dh_auto_configure:
	# also avoid loongson2f optimizations on mipsel, see 0.26.0-3
	# changelog entry:
	LS_CFLAGS=" " dh_auto_configure -- \
		-Dgtk=disabled

# Install in debian/tmp to retain control through dh_install:
override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

# Kill *.la files, and forget no-one:
override_dh_install:
	find debian/tmp -name '*.la' -delete
	dh_install

# Shlibs:
override_dh_makeshlibs:
	dh_makeshlibs -p$(PACKAGE) -V"$(PACKAGE) (>= $(SHLIBS))" -- -c4

override_dh_auto_test:
	dh_auto_test -- --verbose --timeout-multiplier 3

%:
	dh $@ --with quilt --builddirectory=build/
